<?php
/**
 * Template part for displaying single posts.
 *
 * @package ogee
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<?php
		//check option enable for featured image on post page
	 	if ( get_theme_mod( 'featurd_img_post' ) == 1 ) :
			if ( has_post_thumbnail() ) :
				echo '<div class="post-thumbnail-wrap">';
					the_post_thumbnail();
				echo '</div>';
			endif;
		endif; //end checking 	
	?>

	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php ogee_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ogee' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	<footer class="entry-footer">
		<?php ogee_entry_footer(); ?>
		
		<?php
			//Check if the option for related post is enable / disable
			if ( get_theme_mod( 'related_posts' ) == 1 ) :
				get_template_part('inc/related-posts');
			endif; //end checking 	
		?>

		<?php
			//Check if the option for author info box is enable / disable
			if ( get_theme_mod( 'author_box' ) == 1 ) :
				get_template_part('inc/author-info');
			endif;//end checking 
		?>
	</footer><!-- .entry-footer -->

</article><!-- #post-## -->

