<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package ogee
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'ogee' ); ?></a>
	
	<header id="masthead" role="banner" <?php 
	    if ( get_header_image() && !('blank' == get_header_textcolor()) ) { 
	        echo 'class="site-header header-background-image" style="background-image: url(' . esc_url (get_header_image() ). ')"'; 
	    } else {
	        echo 'class="site-header compress-header"';
	    }
	?>>
	
		<div class="site-branding">
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
		</div><!-- .site-branding -->

		
    </header><!-- #masthead -->
	<nav id="site-navigation" role="navigation" <?php
		if ( get_header_image() ) {
			echo 'class="main-navigation"';
		} else {
			echo 'class="main-navigation black-nav"';
		}
	
	?>>
			
		<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fa fa-bars"></i></button>
		
		<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
	</nav><!-- #site-navigation -->

	<div id="content" class="site-content">
