<?php
/**
 * ogee popular posts widget
 * 
 * @package ogee
 */
/*  The popular post widget*/

class ogee_popular_posts extends WP_Widget
{
    
    function __construct(){

        $widget_ops = array('classname' => 'ogee-popular-posts','description' => __( "Display Popular Posts with this widget.",'ogee') );
		    parent::__construct('ogee_popular_posts', esc_html__('Ogee Popular Posts Widget','ogee'), $widget_ops);

	}

    function widget($args , $instance) {

	extract($args);
	    $title = apply_filters('widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
        //$title = isset($instance['title']) ? $instance['title'] : esc_html_e('Popular Posts','ogee');
        $limit = isset($instance['limit']) ? $instance['limit'] : 5;

        echo $before_widget;
        echo $before_title;
        echo $title;
        echo $after_title;

	?>

    <!-- popular-posts-widget -->
        <div class="popular-posts-wrapper">
            <?php
                $featured_args = array(
                    'posts_per_page' => $limit,
                    'orderby' => 'comment_count',
                    'order' => 'DESC',
                    'ignore_sticky_posts' => 1
                );

                $popular_post_query = new WP_Query($featured_args);
                   
                if($popular_post_query->have_posts()) : ?>
                    <ul>

                        <?php while($popular_post_query->have_posts()) : $popular_post_query->the_post(); ?>
            
                            <li>
                                <div class="post-content">
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                </div>
                            </li>

                        <?php endwhile; ?>
                    
                    </ul>
            <?php endif; wp_reset_postdata(); ?>

        </div> <!-- end popular-post-wrapper -->

		<?php

		echo $after_widget;
    }

	// the widget controller
    function form($instance) {

        if(!isset($instance['title'])) $instance['title'] = __('Popular Posts','ogee');
        if(!isset($instance['limit'])) $instance['limit'] = 5; ?>

        <p><label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title','ogee') ?></label>
            <input  type="text" value="<?php echo esc_attr($instance['title']); ?>"
            name="<?php echo esc_attr($this->get_field_name('title')); ?>"
            id="<?php $this->get_field_id('title'); ?>"
            class="widefat" />
        </p>

        <p><label for="<?php echo esc_attr($this->get_field_id('limit')); ?>"><?php esc_html_e('Limit Posts Number','ogee') ?></label>
            <input  type="text" value="<?php echo esc_attr($instance['limit']); ?>"
            name="<?php echo esc_attr($this->get_field_name('limit')); ?>"
            id="<?php $this->get_field_id('limit'); ?>"
            class="widefat" />
        <p>

    	<?php
    }
}